h07333
s 00087/00000/00000
d D 1.1 83/03/23 16:15:59 bog 1 0
c date and time created 83/03/23 16:15:59 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		EmData							    #
#		    Block Data Initialization				    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Block Data EmData
 
BEGINCOMMON
COMMON(CONFIG)
COMMON(COMMSTATE)
COMMON(DRIVER)
COMMON(INITIALIZATION)
COMMON(MENUMACHINE)
COMMON(SPECIALKEYS)
COMMON(STRAPS)
COMMON(SWITCHES)
ENDCOMMON
 
# Configuration
Data	CfgLen		/1/
Data	Config(1)	/UPX/
 
# Comm State
Data	CmParS	/0,0,0,0,0,0,0,0,0,0,0,0/
Data	InStSS(1),InGoSS(1)	/DC3,DC1/
Data	COpenS	/FALSE/
Data	POnOff	/0/
 
# Initialization
Data	OpnDev	/-1/
Data	CurDev	/1/
 
# Menu Machine
Data	MenTru,	MenFls	/TRUE,FALSE/
Data	MCfOpt,MSKOpt,M10Opt,MPgOpt,MChOpt,MDsOpt,MHcOpt/_
	  TRUE,TRUE,TRUE,TRUE,TRUE,TRUE,TRUE/
Data	NMNDev,MenDev	/1,1/
 
# Special Keys
Data	LookLn	/0/
Data	KbTos	/0/
Data	TargPt	/1/
Data	Target	/eval(1*14+1),	0,PAGE,		2,CAN,DLE,	8*0,
		 eval(2*14+1),	0,RESET,	2,CAN,DC2,	8*0,
		 eval(3*14+1),	0,TOGGLESOURCE,	2,CAN,FF,	8*0,
		 eval(4*14+1),	0,BREAK,	2,CAN,STX,	8*0,
		 eval(5*14+1),	0,STRAPCHANGE,	2,CAN,BEL,	8*0,
		 eval(6*14+1),	0,HARDCOPY,	2,CAN,BS,	8*0,
		 eval(7*14+1),	0,RELEASE,	2,CAN,ACK,	8*0,
		 eval(8*14+1),	0,TOGGLEMARGIN,	2,CAN,CR,	8*0,
		 0,		0,EXIT,		2,CAN,ENQ,	8*0/
 
# Straps
Data	Native	/TRUE/
Data	PAspct	/TRUE/
Data	CrLf	/FALSE/
Data	LfCr	/FALSE/
Data	DelLoY	/TRUE/
Data	GinTrm	/CRGINTERM/
Data	LocEch	/FALSE/
Data	PFBrk	/FALSE/
Data	PFHdCp	/FALSE/
Data	PFWait	/FALSE/
Data	PFPage	/FALSE/
 
# Switches
Data	OnLine	/FALSE/
Data	PFMar1	/TRUE/
 
End
E 1
